CVE-2009-0365

NameCVE-2009-0365
Descriptionnm-applet.conf in GNOME NetworkManager before 0.7.0.99 contains an incorrect deny setting, which allows local users to discover (1) network connection passwords and (2) pre-shared keys via calls to the GetSecrets method in the dbus request handler.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub advisories/code/issues, web search, more)
ReferencesDSA-1955-1
Debian Bugs519801

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
network-manager (PTS)buster1.14.6-2+deb10u1fixed
bullseye1.30.6-1+deb11u1fixed
bookworm1.40.10-1fixed
sid1.40.12-1fixed
network-manager-applet (PTS)buster1.8.20-1.1fixed
bullseye1.20.0-3fixed
bookworm, sid1.30.0-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
network-managersourceetch0.6.4-6+etch1DSA-1955-1
network-managersource(unstable)0.6.5-1medium
network-manager-appletsourcelenny0.6.6-4+lenny1DSA-1955-1
network-manager-appletsource(unstable)0.7.0.99-1medium519801

Notes

network-manager in lenny not affected, because it is in network-manager-applet

Search for package or bug name: Reporting problems